/*
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.ejb3.test.consumer;




/**
 * Comment
 *
 * @author <a href="mailto:bill@jboss.org">Bill Burke</a>
 * @version $Revision: 1.4.2.4 $
 */
public interface TestStatus
{
   void clear();

   String queueFired();

   String topicFired();

   String interceptedTopic();

   String interceptedQueue();

   boolean postConstruct();

   boolean preDestroy();

   void testXA() throws Exception;

   void testLocal() throws Exception;
}
